instead_version "2.2.0"
if stead.version < "1.5.3" then
	walk = _G["goto"]
	walkin = goin
	walkout = goou
	walkback = goback
end

--$Name: Грамленд$
--$Author: Андреев Сергей$

--dofile('action.lua');

require "xact"			-- подключаем модуль xact
require "hideinv"		-- подключаем модуль hideinv
require "para"			-- догадайтесь, что мы подключили в этот раз ;)
require "dash"			-- подключаем dash
require "quotes"		-- подключаем quotes 

game.act = 'Не получается.';
game.inv = 'Гм.. Странная штука..';
game.use = 'Не сработает...';



main=room {
nam='Грамленд',
pic='images/main.png',
dsc=function(s)
return [[Континент Грамленд разделен огромной стеной на 2 половины. На восточных
землях живут люди, а на западе монстры. Западными землями правят 5 великих монстров:
черный дракон правит землями Аркати; красный дракон правит землями Ментори; химера
правит землями Дривон; минотавр правит землями Норвэст; цербер правит землями Портран.
Все эти существа ведут постоянную борьбу между собой и уничтожают людей, считая их
низшей расой. Чтобы защититься от них люди возвели великую стену. И общим голосованием
короли выбрали на защиту крепости короля Гренальда. Его владения итак находились
возле стены, а после этого назначения и вовсе расширились вдоль всей стены. Он поклялся. что
ни одна тварь не пройдет через стену. Остальные пообещали ему всяческую поддержку. Всем запрещалось
переходить через стену под страхом смерти. Из числа опытных воинов был сформирован специальный отряд 
по уничтожению монстров. Им было поручено охранять стену. После нескольких неудачных попыток монстров разрушить стену,
они затихли и вроде бы наступили мирные времена. Но несколько дней назад один из патрулей не вернулся. После
нескольких часов поиска тела были обнаружены. По тому как они были убиты, сразу было видно, что это сделали не люди.
Части тел были разбросаны в радиусе нескольких метров, а их тела были обглоданы. После немедленного доклада было
приказано разведать обстановку в ближайшем обиталище монстров. А ближайшими были земли Норвэст, которыми правил минотавр.
Это задание поручили вам, лейтенанту Гектару т.к. вы очень талантливы и подаете большие надежды. Вы тайно проберетесь через
стену и отправитесь ко входу в пещеру, через которую вы доберетесь до горы Ментир, где находится логово минотавра и его армии.
Ваш задача, разведать обстановку и доложить об этом лично королю Гренальду. Хоть задание и обещает быть безопасным, но
вооружиться не помешает.]];
end,
obj = {vway('1',txtc('{НАЧАТЬ ИГРУ}'),'weapons')},
};

weapons=room {
nam='Оружейная',
dsc=[[Вы находитесь в оружейной комнате, вам необходимо собрать снаряжение и вы
можете отправляться ко входу в пещеру.]],
obj={ 
     'table_weapons', 'wall', 'table' },
	 way={'outside_cave'},
exit=function(s,q)
         if q==outside_cave then
             if not have('sword') or not have ('dagger') or not have ('rope') or not have ('matches') then
                 return 'Отпрявляться в путь без снаряжения полное самоубийство!', false
             end
		end
end,		
};

table_weapons=obj{
nam='Оружейная стойка',
dsc=[[В комнате стоит {Оружейная стойка}.]],
obj={'sword','dagger'},
act='Оружейная стойка на которой находится оружие',
};

wall=obj{
nam='стена',
dsc=[[В конце комнаты {стена} со снаряжением.]],
obj={'rope'},
act='Каменная стена',
};

table=obj{
nam='стол',
dsc=[[Около оружейной стойки находится {стол}.]],
obj={'matches'},
act='Обычный стол',
};

sword = obj {
	nam = 'меч',
	dsc=[[На оружейной стойке находится {меч}.]],
	tak =[[Вы взяли меч.]],
	inv =[[Одноручный меч с обоюдоострым лезвием.]],
	use=function(s,w)
	if w==table then
	p [[Не стоит этого делать.]];
	end;
	if w==table_weapons then
	p [[Оружейная стойка сделана из металла, сломать ее не получится.]];
	end;
	if w==wall then
	p[[Ты быстрее сломаешь меч чем стену.]];
	end;
	end
};

dagger = obj {
	nam = 'кинжал',
	dsc=[[На оружейной стойке находится {кинжал}.]],
	tak = [[Вы взяли кинжал.]],
	inv = [[Небольшой кинжал, рукоятка украшена синим кристалом.]],
	xact{'next',code[[walk(holl);]]},
	use=function (s, w)
		if w == monster then
			p [[Вы со скоростью гепарда метаете в моснтра кинжал и попадаете ему точно между глаз. 
			Существо издает слабый хрип, его тело немеет и из руки падает факел. Еще секунду спустя сам монстр падает замертво.
			Его факел тухнет, наступает кромешная тьма и мертвая тишина. {next|Идти дальше.}]];
			remove('dagger', me());
		else
			if (w==sword) or (w==rope) or (w==matches) or (w==table_weapons) then
			p [[И что ты пытаешься сделать?]];
			end;
			if w==wall then
			p [[Будешь царапать стены, затупишь кинжал.]];
			end;
			if w==table then 
			p[[Ну вот! Испортил отличный стол.]];
			end;
		end;
	end
};
rope = obj {
	nam = 'веревка',
	dsc=[[На стене висит {веревка}.]],
	tak = [[Вы взяли веревку.]],
	inv = [[Обычная веревка, на вид очень крепкая.]],
	xact{'next',code[[walk(palatka);]]},
	use=function (s, w)
		if w == monster_chas then
			p [[Вы делаете петлю на конце веревки и набрасываете петлю на шею часового. Резким движением
                вы дергаете за веревку и начинаете душить монстра. Несколько секунд он похрипывает и пытается сорвать петлю, но
                у него ничего не выходит и он задыхается. {next|Дальше.}]];
			remove('rope', me());
end;
	end
};
matches = obj {
	nam = 'спички',
	dsc=[[На столе лежат {спички}.]],
	tak = [[Вы взяли спички.]],
	inv = [[Обычные спички.]],
	use = function (s, w)
		if w == fakel then
			p [[Вы зажгли факел и готовы продолжать идти.]];
			put('fakel_fire', me());
			remove('fakel', me());
		else
			p [[Вы подумали и решили, что это не сработает.]];
		end;
	end;
};

outside_cave=room{
nam='Вход в пещеру',
dsc=[[Вы находитесь у входа в пещеру. В пещере практически нет света. Ничего не видно. Нужно чем-то посветить, иначе
дальше идти на ощупь очень опасно. Вы можете {next|осмотреть вход в пещеру} или {next1|войти в пещеру}.]],
obj = {
		xact('next', code[[walk(look);]]),
		xact('next1',code[[walk(cave);]]),
	},
	exit=function(s,t)
      if t==cave then
	     if not have (fakel_fire) then
	  return 'Идти вслепую по пещере как-то не хочется.', false
	     end
	  end
end,
};

look=room{
nam='Осмотреть вход в пещеру',
dsc=[[Осмотревшись вы видите на земле лежащий факел.]],
obj={'fakel'},
way={'outside_cave'},
};

cave=room{
nam='Пещера',
dsc=[[Вы вошли в пещеру. Перед вами развилка из трех путей. Пойти {next|в левый проход.} Пойти {next1|прямо.} Пойти {next2|в правый проход.}]],
obj={xact('next', code[[walk(cave_1);]]),
     xact('next1', code[[walk(cave_2);]]),
	 xact('next2', code[[walk(cave_3);]]),
},
way = {'outside_cave'},

};

fakel=obj{
nam='факел',
dsc = [[Под ногами валяется {факел}.]],
tak = [[Вы подобрали потухщий факел.]],
inv = [[Потухший факел.]],
	
};
fakel_fire=obj{
nam='заженный факел',
inv=[[Заженный факел]],};

cave_1=room{
nam='Левый проход.',
obj={'claw'},
way={'cave'},
};

claw=obj{
nam='когтей',
dsc=[[Тупик, на стенах видны следы от {когтей}.]],
act='Что-то мне не по себе от вида этих следов',
};

cave_2=room{
nam='Проход прямо',
obj={'body','pocket'},
way={'cave', 'cave_2_1'},
};

body=obj{
nam='тело',
dsc=[[У левой стены лежит чье-то {тело}.]],
act=[[Похоже, что это труп какого-то воришки.
Наверное он прятал здесь свою добычу.]],
};

pocket=obj{
nam='мешочек',
dsc=[[Возле тела вы находите небольшой {мешочек} с несколькими золотыми монетами.]],
tak=[[Вы подобрали мешочек с несколькими золотыми монетами.]],
inv = [[Сделанный из кожи какого-то животного мешочек с золотыми монетами.]],
use=function (s, w)
		if w == Romli then
			p [[Вы отдаете карлику мешочек с золотом. Приоткрыв мешочек Ромли ухмыляется и тутже исчезает. Будем надеяться, что он сдержит свое слово.]];
			remove('pocket', me());
		else
			p [[Попытка поймать его не увенчалась успехом.]];
		end
	end,
};

cave_2_1=room{
nam='Маленькая комната',
dsc=[[Из-за слабого освещения вы не заметили обрыв и чуть не свалились в него.
 Присмотревшись по внимательнее вы увидели, что это не обрыв, а глубокая яма. 
 Как бы вы не старались, но дна разглядеть вы не смогли.]],
 obj={'rock'},
 way={'cave_2'},
 };
 
 rock=obj{
 nam='камень',
 dsc=[[ Можно попробовать бросить туда {камень}.]],
 act=[[Вы бросаете камень в яму и прислушиваетесь. Но никакого звука не слышите. 
 Похоже что эта яма очень глубокая. Свались вы в нее, вас бы никто никогда не нашел.]],
 };
 

 
 cave_3=room{
 nam='',
 dsc=[[Вы проходите глубже в пещеру. Над вами свисают огромные сталактиты, поблескивающие от света факела.
 Вдоль обоих стен растет "Живодер"-плотоядное растение, с толстым желтоватым стеблем и цветком напоминающим пасть хищника.
 Питается в основном мелкими насекомыми. Но ходят слухи, что они могут вырастать до одного метра и питаться мелкими животными и даже детьми. {next|Дальше.}]],
 obj={xact('next', code[[walk(cave_holl);]])},
 way={'cave'},
 enter=function(s)
    if not have (pocket) then
	 return 'Кажется вы что-то упустили. Стоит вернутся и хорошенько все осмотреть.',false
	 end
end,
 };
 
 cave_holl=room{
 nam='Большая комната',
 dsc=[[{next|Дальше.}]],
 obj={'monster',
 xact('next',code[[walk(cave_1_1_1);]])},
 entered=function(s)
      remove('fakel_fire',me());
      put('fakel',me());
	  end,
exit=function(s,t)
      if t==cave_1_1_1 then
	     if have (dagger) then
	  return 'Нужно убить монстра. Иначе никак не пройти.', false
	     end
	  end
end,
 };
 
 monster=obj{
 nam='существо',
 dsc=[[Перед вами большая комната в конце которой виднеется слабый огонек. Вы быстро тушите факел и замираете в ожидании.
 Огонек становить с каждой секундой все ближе и вы начинаете слышать шаги. Через несколько секунд вы видите чей-то силуэт, 
 приближающийся прямо к вам. Похоже, что это один из монстров дозорных. Если быстро что-нибудь не предпринять, то он вас заметит. 
 Шаги становятся громче и силуэт виден отчетливее. Вы замечаете сгорбленное существо с огромными клыками и длинными когтями, 
 лицо его похоже на жабье и оно имеет хвост как у ящерицы. Это "Громул". Его черные глаза всматриваются во тьму, похоже он вас заметил. 
 Единственное, что приходит вам в голову это метнуть в {существо} кинжал.]],
 act=function(s)
     if have (dagger) then
	 return 'Монстр все ближе, нужно что-то делать.';
	 else 
	 return 'Мертвый монстр.';
	 end
end,
 };
 
 cave_1_1_1=room{
 nam='Вход в комнату',
 dsc=[[Вы некоторое время остаетесь не подвижны, затем приходите в себя. Нужно удостовериться, что оно мертво. Вам следует вновь зажечь свой факел и подойти к телу монстра. {next|Дальше}]],
 obj={xact('next', code[[walk(cave_1_1_1_1);]])},
 exit=function(s,t)
      if t==cave_1_1_1_1 then
	     if not have (fakel_fire) then
	  return 'Нужно зачечь факел. Куда вы пойдете если ничего не видно?', false
	     end
	  end
end,
 };
 
 cave_1_1_1_1=room{
 nam='',
 dsc=[[Вы подходите к телу монстра и вытаскиваете кинжал из его черепа. 
 Кровь этого существа похожа на кислоту, она разъела уже половину лезвия. 
 Этот кинжал уже ни наш-то не годен и вы его выбрасываете.  
 Не стоит терять времени разглядывая эту тварь, нужно идти {next|дальше}.]],
 obj={xact('next',code[[walk(cave_1_1_1_1_1);]])};
 };
 
 cave_1_1_1_1_1=room{
 nam='Выход из комнаты',
 dsc=[[{next|Дальше.}]],
 obj={'Romli',
xact('next',code[[walk(holl_2);]])},
 entered=[[Как только вы приблизились к тому проходу откуда вышел дозорный сразу же послышался мерзкий низкий голос:

- Ромли все видел. Ромли доложит обо все хозяину.

Вы обернулись и увидели перед собой мерзкого карлика. Он был чем-то похож на "Громула", но 

был значительно меньше него.

- Ты что еще за тварь? Я таких как ты раньше не видел., спросили вы.
- Я не тварь!, возразил карлик, - Я Ромли и я доложу хозяину о твоем прибытии.
- А что если я убью тебя!? Тогда ты уже не с кем не сможешь говорить, вы быстро достали меч 

из ножен и направили его острием к горлу маленького монстра.
Но как только вы моргнули карлик вдруг оказался у вас за спиной. 
- Но Ромли может забыть про человека, если человек предложит что-нибудь Ромли.
- Что именно тебе нужно?
- Когда человек повернулся Ромли услышал сладкий звон на твоем поясе. Я хочу то, что лежит у тебя 
в мешочке.
- Так ты хочешь золото?
- Да, да. Ромли любит золото. Если человек отдаст Ромли золото, то Ромли забудет доложить о человеке хозяину.]],
exit=function(s)
     if have(pocket) then
	     return 'Нужно отдать карлику золото, иначе он о вас доложит какому-то своему хозяину. Звучит это весьма опасно.',false
	 end
end,
};

Romli=obj{
nam='Ромли',
dsc=[[Отдать мешочек с золотом {Ромли}.]],
act=function(s)
     if have (pocket) then
	    return 'Попытка поймать его не увенчалась успехом.';
	 else
	    return 'Карлика уже и след простыл.';
	 end
end,
};

holl_2=room{
nam='Выход из пещеры';
dsc=[[Пройдя немного дальше вы чувствуете дуновение ветра, скорее всего это выход. Вы осторожно
приближаетесь к выходу. {next|Выйти из пещеры}.]],
obj={xact('next',code[[walk(out_cave);]])},
exit=function(s,t)
      if t==out_cave then
	     remove('fakel_fire',me());
      put('fakel',me());
	  end
end,
};
out_cave=room{
nam='Выход',
dsc=[[ Выйдя из пещеры, яркий солнечный свет ослепил вас, и вы ненадолго прищурились. Затем открыв глаза, вы увидели
вдали за небольшим лесом гору Ментир, к которой вела дорога. Но двигаться по дороге не безопасно, так что лучше
пойти вдоль нее и прятаться в лесу. Даже если вы встретите патрули, вы останетесь не замеченным. {next|Дальше}]],
obj={xact('next',code[[walk(in_wood);]])},
};
in_wood=room{
nam='Лес';
dsc=[[Продвигаясь к горе вдоль дороги вы замечаете повозку, которую сопровождают четверо монстров. Это Фаркасы, волкоподобные монстры. Содержимое повозки
закрыто, и вы не можете разглядеть что в ней. Наблюдая из-за  дерева, вы замечаете, как один из охранников остановился, вы сразу же
прячетесь. Похоже, он вас заметил, если это так, то вам не справиться сразу с четверыми. Монстр, который управлял повозкой, что-то сказал тому, который остановился,
и они продолжили движение. У вас как камень с души упал, вы были на волосок от неминуемой гибели. Нужно продолжать идти, осталось не далеко. {next|Дальше}]],
obj={xact('next', code[[walk(out_wood);]])},
};
out_wood=room{
nam='Окраина леса';
dsc=[[На окраине леса вы замечаете лагерь монстров. Спрятавшись за валуном, перед вами открывается ужасающая картина.
Неподалеку от вас стоит клетка с людьми. Монстры выводят по одному человеку, ставят возле костра, на котором уже жариться человеческое мясо.
Одним движением отрывают головы и складывают их в повозку, а тела расчленяют и относят в одну из палаток. "Так вот что было в той повозке, человеческие головы".
Видимо потом головы насадят на пики для устрашения, как это было у стены. Вы слышите марш. Со стороны горы виднеется войско монстров.
Вы затаили дыхание и попытались сосчитать их, но у вас ничего не получилось, им не было конца. Навскидку, их около 5000. И двигаются они в сторону стены. Если они сейчас нападут,
то стена не выстоит. Нужно срочно предупредить всех, но у вас приказ проникнуть в гору. Учитывая скорость их передвижения, они будут у стены через 2 дня. Значит, у вас всего день,
чтобы все выяснить. Дождавшись темноты, вы уже хотели выдвигаться к горе, как вдруг увидели приближающийся отряд во главе с самим Минотавром.
"Что он здесь делает?". Он вошел в главную палатку, а отряд, сопровождающий его, остался снаружи. Эти монстры не были похожи на тех, что вы встречали ранее.
Они были похожи на минотавра, но менее массивные. На них были одеты тяжелые доспехи, а в руках они держали палицы размером с подростка. {next|Дальше}
]],
obj={xact('next', code[[walk(near_palatka);]])},
};

near_palatka=room{
nam='Возле палатки';
dsc=[[{next|Дальше.}]],
obj={'monster_chas', 
xact('next',code[[walk(palatka);]])}, 
exit=function(s,t)
      if t==palatka then
	     if have (rope) then
	  return 'Нужно убить часового.', false
	     end
	  end
end,
}

monster_chas=obj{
 nam='часовой';
 dsc=[[Вы решаете подобраться ближе к палатке. Но за палаткай стоит один из часовых. Нужно с ним что-то сделать, иначе к палатке не подойти.
Можно сделать петлю на веревке и {задушить} часового.]],
 act=function(s)
     if have (rope) then
	 return 'Монстр-часовой на посту.';
	 else 
	 return 'Мертвый часовой.';
	 end
end,
 };
 
 palatka=room{
 nam='У палатки',
 dsc=[[Вы подходите к палатке и затаив дыхание прислушиваетесь.
 - Как долго нам ждать цербера?, спросил минотавра другой монстр.
 Видимо это был один из его генералов.
 - Он прибудет завтра на рассвете., ответил минотавр.
 - Людям не выстоять против нас, мы с легкостью захватим стену. И это откроет нам путь в земли древних.
 - А как же Химера? Хоть она и не присоединилась к союзу драконов, но и отвергла союз с нами., с беспокойством в голосе спросил генерал.
 - Химера нам не помеха, вместе с цербером мы можем уничтожить ее в любой момент. Но при этом можем понести большие потери, что нам сейчас ни к чему.
 "Так значит Минотавр и Цербер объединившись собираются напасть на стену. И что еще за земли древних. Я думал монстры самые древние существа", подумали вы.
 - Отправляйся к стене и проследи чтобы патрули людей нас не заметили раньше времени., приказал Минотавр своему генералу и генерал тут же вышел из палатки.
 Минотавр остался один. Возможно это единственный шанс убить его пока он ничего не подозревает. Но как только вы об этом подумали Минотавр повернулся в вашу сторону.
 - Думаешь я тебя не заметил человек. Ты воняешь страхом.
 Ваше сердце на секунду остановилось, на лице отразился ужас. Что же делать?! Я не могу так просто умереть, я должен вернуться на стену и доложить обо всем. Нужно {next|бежать}!!! ]],
 obj={xact('next',code[[walk(chase);]])},
 };
 
 chase=room{
 nam='Погоня';
 dsc=[[ Вы быстро развернулись и побежали в сторону леса. Минотавр зарычал на весь лагерь, его рык пронзил ночной воздух как нож масло.
 - Убить шпиона!, закричал он.
 И все монстры погнались за вами. Вы бежите изо всех сил, но они догоняют. Вдалеке вы слышите шум воды, возможно, это ваш шанс оторваться от них. 
 Подбежав ближе, вы оказываетесь на краю обрыва. Внизу течет река, на первый взгляд довольно глубокая. Монстры все ближе. Один из них метнул копье.
 Вы не успели среагировать, и оно пронзило вашу правую ногу. Вы почувствовали обжигающую боль, которая пронзила вас до мозга костей. Не сумев удержать равновесие,
 вы рухнули с обрыва. От удара об воду вы теряете сознание, поток воды подхватывает ваше тело и уносит вниз по течению. Монстры не отважились последовать за вами и 
 решили, что вы и так умрете. {next|Дальше}]],
  obj={xact('next',code[[walk(the_end);]])},
 };
 
 the_end=room{
 nam='Конец первой главы.';
 dsc=[[]],
 };
